Messages API
Send message
Send a message through a patient's channel.
POST
/v1/messagesRequest
Path, query, and JSON body fields accepted by this operation.
patientIdstring<uuid>bodychannel"patient_app"bodydefault "patient_app"bodystringrequiredbodymin length 1max length 4000
Response
Successful responses use Dawn's data envelope.
dataMessagerequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredpatientIdstring<uuid>requiredchannel"patient_app"requiredsenderone of 2 shapesrequiredkind"member"requiredidstring<uuid>required
bodystringrequiredmin length 1max length 4000createdAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
403Messaging is disabled or the requested patient is unavailable.422The message is invalid.503The message could not be sent.
Last updated on